ContentStreamHandlerBase (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.ContentStreamHandlerBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler
Class ContentStreamHandlerBase

    java.lang.Object
      org.apache.solr.handler.RequestHandlerBase
          org.apache.solr.handler.ContentStreamHandlerBase

All Implemented Interfaces:
  SolrInfoMBean, SolrRequestHandler

Direct Known Subclasses:
  BinaryUpdateRequestHandler, CSVRequestHandler, ExtractingRequestHandler, JsonUpdateRequestHandler, XmlUpdateRequestHandler, XsltUpdateRequestHandler

    public abstract class ContentStreamHandlerBase

extends RequestHandlerBase

Shares common code between various handlers that manipulate `ContentStream` objects.

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean
`SolrInfoMBean.Category`

Field Summary
`static org.slf4j.Logger` | `log`

Fields inherited from class org.apache.solr.handler.RequestHandlerBase
`appends, defaults, httpCaching, initArgs, invariants`

Constructor Summary
`ContentStreamHandlerBase()`

Method Summary
`void` | `handleRequestBody(SolrQueryRequest req, SolrQueryResponse rsp)`
`protected abstract ContentStreamLoader` | `newLoader(SolrQueryRequest req, UpdateRequestProcessor processor)`

Methods inherited from class org.apache.solr.handler.RequestHandlerBase
`getCategory, getDescription, getDocs, getInitArgs, getName, getSource, getSourceId, getStatistics, getVersion, handleRequest, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.slf4j.Logger log

Constructor Detail

### ContentStreamHandlerBase

    public ContentStreamHandlerBase()

Method Detail

### handleRequestBody

    public void handleRequestBody(SolrQueryRequest req,
                                  SolrQueryResponse rsp)
                           throws Exception

  Specified by:
    `handleRequestBody` in class `RequestHandlerBase`
  Throws:
    `Exception`

### newLoader

    protected abstract ContentStreamLoader newLoader(SolrQueryRequest req,
                                                     UpdateRequestProcessor processor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD